Uploaded image for project: 'Talend Component Kit'
  1. Talend Component Kit
  2. TCOMP-2285

Support of qualifier in version of connectors to be loaded by the component manager

Apply templateInsert Lucidchart Diagram
    XMLWordPrintable

Details

    • New Feature
    • Status: Done
    • Critical
    • Resolution: Fixed
    • None
    • 1.51.0
    • component-manager
    • All
    • GreenHopper Ranking:
      0|i2khoz:
    • 9223372036854775807
    • Small
    • To be defined

    Description

      I remember that I have issue when I tried to load some connectors that have version like 'x.y.z-QUALIFIER' when QUALIFIwas something else that '-SNAPSHOT'.

      It will become mandatory to support it if we want to remove smart-nexus like explained in: https://jira.talendforge.org/browse/TDI-48419

       

      I think the issue was coming from this : https://github.com/Talend/component-runtime/blob/ddcdff0b5492da9ed41e394627fae4ae425a00ca/container/container-core/src/main/java/org/talend/sdk/component/container/ContainerManager.java#L265

      Need some confirmation.

      EDIT EG:
      We allow the following cases for including Jira ticket reference in artifact's version:

      • <VERSION>-<JIRA>
      • <VERSION>-<JIRA>-SNAPSHOT

      Attachments

        Activity

          People

            Unassigned Unassigned
            ypiel Yves Piel
            Axel Catoire, emmanuel gallois, Fabien Desiles, Yves Piel
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: